# Get list of users

{% hint style="info" %}
**Note:**

* For APIs used for Shop, the API key is: [`<api_key>`](/api-etelecom-english/api-integration/shop/account.md). The base\_url information of the [Shop](/api-etelecom-english/api-integration/shop/account.md).
* For APIs used for Partner, the API key is: [`<shop_key>`](/api-etelecom-english/api-integration/partner/usage.md#retrieve-the-shop_key-information). The base\_url information of the [Partner](/api-etelecom-english/api-integration/partner/account.md).
  {% endhint %}

{% openapi src="/files/rD9sIgCzdi6t4ZGv9xjX" path="$BASE\_URL.Zalo/ListFollowers" method="post" %}
[Zalo-API\_\_eTelecom.json](https://1712041776-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FzzTMjVbVjwTuSbEGC7Ya%2Fuploads%2FNLBGmSfXAFhmMhDpTH4x%2FZalo-API__eTelecom.json?alt=media\&token=0852e2bf-0fae-48a2-9d4f-7af244665d34)
{% endopenapi %}

**Request:**

```
curl --location '$BASE_URL.Zalo/ListFollowers' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer $API_KEY' \
--data '{
  "filter": {
    "assigned_user_id": "string",
    "date_from": "2019-08-24T14:15:22Z",
    "date_to": "2019-08-24T14:15:22Z",
    "gender": "unknown",
    "has_conversation": true,
    "name": "string",
    "oa_id": "string",
    "phone": "string",
    "state": "follow",
    "tags": [
      "string"
    ],
    "zl_user_id": "string",
    "zl_user_ids": [
      "string"
    ]
  },
  "paging": {
    "after": "string",
    "before": "string",
    "limit": 0,
    "sort": "string"
  }
}'
```

**Response:**

```
{
  "followers": [
    {
      "assigned_user_id": "string",
      "avatar": "string",
      "avatars": {
        "120": "string",
        "240": "string"
      },
      "created_at": "2019-08-24T14:15:22Z",
      "full_name": "string",
      "gender": "unknown",
      "has_conversation": true,
      "id": "string",
      "oa_id": "string",
      "phone": "string",
      "shared_info": {
        "address": "string",
        "city": "string",
        "district": "string",
        "name": "string",
        "phone": "string",
        "ward": "string"
      },
      "shop_id": "string",
      "state": "follow",
      "tags_and_notes_info": {
        "notes": [
          "string"
        ],
        "tag_names": [
          "string"
        ]
      },
      "updated_at": "2019-08-24T14:15:22Z",
      "zl_user_id": "string",
      "zl_user_id_by_app": "string"
    }
  ],
  "paging": {
    "after": "string",
    "before": "string",
    "limit": 0,
    "next": "string",
    "prev": "string",
    "sort": "string"
  }
}
```

**Request body structure**

| Parameters         | Data type                   | Describe                                                                                                                  |
| ------------------ | --------------------------- | ------------------------------------------------------------------------------------------------------------------------- |
| assigned\_user\_id | string                      | Employee ID assigned                                                                                                      |
| id                 | int64                       | OA ID                                                                                                                     |
| name               | string                      | Zalo Username                                                                                                             |
| date\_from         | string\<date-time>          | Start date                                                                                                                |
| date\_to           | string\<date-time>          | End date                                                                                                                  |
| gender             | string (pwGender) Enum      | Gender **" `unknown`" " `male`" `female`" " `other`"**                                                                    |
| has\_conversation  | boolean                     | <p><strong><code>True</code></strong>: Have a conversation</p><p><strong><code>False</code></strong>: No conversation</p> |
| phone              | string                      | User phone number                                                                                                         |
| state              | string (gqFollowState) Enum | **`follow`:** Interested                                                                                                  |
| tags               | Array of strings            | Labels assigned to users                                                                                                  |
| zl\_user\_id       | string                      | Zalo User ID                                                                                                              |

**Return data attribute structure**

| Parameters            | Data type                   | Describe                                                                                                                  |
| --------------------- | --------------------------- | ------------------------------------------------------------------------------------------------------------------------- |
| assigned\_user\_id    | string                      | Employee ID assigned                                                                                                      |
| avatar                | string                      | User avatar                                                                                                               |
| full\_name            | string                      | User name                                                                                                                 |
| id                    | string                      | User ID on eTelecom                                                                                                       |
| id                    | int64                       | OA ID                                                                                                                     |
| shared\_info          | object (mrSharedInfo)       | User consents to share information                                                                                        |
| address               | string                      | Address                                                                                                                   |
| city                  | string                      | City                                                                                                                      |
| district              | string                      | District                                                                                                                  |
| ward                  | string                      | Ward                                                                                                                      |
| name                  | string                      | Zalo Username                                                                                                             |
| created\_at           | string\<date-time>          | Time of recording interaction                                                                                             |
| updated\_at           | string\<date-time>          | Update time                                                                                                               |
| gender                | string (pwGender) Enum      | Gender **" `unknown`" " `male`" `female`" " `other`"**                                                                    |
| has\_conversation     | boolean                     | <p><strong><code>True</code></strong>: Have a conversation</p><p><strong><code>False</code></strong>: No conversation</p> |
| phone                 | string                      | User phone number                                                                                                         |
| shop\_id              | string                      | Shop ID on eTelecom                                                                                                       |
| state                 | string (gqFollowState) Enum | <p><strong><code>follow</code>:</strong> Interested</p><p><strong><code>unfollow</code>:</strong> Not interested</p>      |
| tags                  | Array of strings            | Labels assigned to users                                                                                                  |
| zl\_user\_id          | string                      | Zalo User ID                                                                                                              |
| zl\_user\_id\_by\_app | string                      | Zalo user ID by app                                                                                                       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.etelecom.vn/api-etelecom-english/api-integration/zalo-cloud/zalo-cloud-api/get-list-of-users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
